Bug 90596 - Patches incomplete and inconsistent
Patches incomplete and inconsistent
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-05-10 02:46 EDT by Steve Hall
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-10 11:31:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Hall 2003-05-10 02:46:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The version of gVim shipped indicates numerous omitted patches:

  VIM - Vi IMproved 6.1 (2002 Mar 24, compiled Feb 12 2003 07:37:31)
  Included patches: 1, 3-15, 17-18, 20-22, 24-34, 36-43, 45-49, 51-72,
    74-75, 77-83, 85-87, 89-92, 94-99, 101-118, 120-146, 150, 152-153,
    157-183, 185-189, 191-195, 197, 200-201, 203-227, 231-239,
    241-242, 244-252, 254-258, 260-289, 293-295, 297-299, 301-302,
    305-310, 312-320 
  Compiled by <bugzilla@redhat.com>

The second line should read:

  Included patches: 1-320

Perhaps someone has taken the time to figure out the applicable
patches for Red Hat and has intentionally removed the others, but
there's no harm in letting them in, especially when it communicates to
the Vim user that it is complete. (The first one looks like what we
usually get on the list when someone who doesn't know what they're
doing tries to roll their own. ;)

Version-Release number of selected component (if applicable):
vim-X11-6.1.320 (close, not sure, I overwrote it)

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Karsten Hopp 2003-05-10 11:31:32 EDT
Bram Moolenaar marks some of his patches as 'extra', i.e. when they are only for 
VMS or Win32. Those patches haven't been applied as they only patch files which
are unused on Linux or add p.e. #ifdev WIN32  ... code  ... #endif.
Check out the README.patches in our rpm and compare the list.

Note You need to log in before you can comment on or make changes to this bug.